package cn.gzkx.apidemo.utils;

import cn.hutool.json.JSONUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/9 下午10:27
 */
public class ListUtils {
    public static List<String> convertListToStringList(List<Object> objectList) {
        List<String> stringList = new ArrayList<>();
        for (Object obj : objectList) {
            stringList.add(String.valueOf(obj));
        }
        return stringList;
    }

    public static List<String> convertObjectToStringList(Object object) {
        List<String> stringList = new ArrayList<>();
        if(object instanceof List<?>) {
            stringList = (List<String>) object;
        }
        return stringList;
    }

    public static List<String> convertObjectToStringListByJson(Object object) {
        List<String> stringList =JSONUtil.toList(JSONUtil.toJsonStr(object), String.class);
        return stringList;
    }
}
