package cn.udf.demo.controller;

import cn.udf.common.core.result.ApiResult;
import cn.udf.common.web.core.BaseController;
import cn.udf.demo.domain.SysUser;
import cn.udf.demo.service.SysUserService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author: zqm
 * @desc：
 * @date: 2024/12/28 下午5:14
 */
@RequiredArgsConstructor
@RestController
@RequestMapping("/sysUser")
public class SysUserController extends BaseController {
    private final SysUserService sysUserService;

    @PostMapping("/add")
    public ApiResult addSysUser(@RequestBody SysUser sysUser) {
        return ApiResult.success(sysUserService.addUser(sysUser));
    }

    @PostMapping("/login")
    public String login(@RequestParam String username, @RequestParam String password) {
        return username;
    }
}
