package cn.gzkx.apidemo.satoken;

import cn.dev33.satoken.stp.StpInterface;
import cn.dev33.satoken.stp.StpUtil;
import cn.gzkx.apidemo.utils.ListUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/9 下午8:08
 */
@Component
public class StpInterfaceImpl implements StpInterface {
    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        List<String> permissionList=ListUtils.convertObjectToStringListByJson(StpUtil.getSessionByLoginId(loginId).get("permissions"));
        return permissionList;
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        List<String> roleList=ListUtils.convertObjectToStringListByJson(StpUtil.getSession().get("role"));
        return roleList;
    }
}
