package cn.gzkx.groovydemo.utils;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;
import java.io.IOException;

/**
 * @author 钟前明
 * @description
 * @date 2025/1/27 07:41
 */
public class GroovyUtils {
    public static void main(String[] args) throws ScriptException, IOException {
        // 创建脚本引擎管理器
        ScriptEngineManager manager = new ScriptEngineManager();

        // 获取 Groovy 引擎
        ScriptEngine groovyEngine = manager.getEngineByName("groovy");

        if (groovyEngine == null) {
            throw new RuntimeException("Groovy Script Engine not found! Ensure Groovy is in the classpath.");
        }

        // 执行简单的 Groovy 脚本
        String script = "println 'Hello from Groovy on JDK 17!'";
        groovyEngine.eval(script);

        // 执行外部文件中的 Groovy 脚本
        // 你可以替换为你本地的 Groovy 脚本文件路径
        // groovyEngine.eval(new FileReader("yourGroovyScript.groovy"));
    }
}
